Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-05-08 17:382012-05-28 10:34
ReporteriperdomoView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revision1582d1dc7250
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava versionOpenJDK 1.6.0_24
OS Version3.3.4-2-ARCHDatabase version9.1.3Ant version1.8.2
Product VersionpiSCM revision26977a15e890 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020449: Error when navigating to a Template record

DescriptionWhen nagivating to a Template record, you get an error in the Template Dependency tab. See attached files.
Steps To Reproduce* Login with System Administrator Role
* Open the Datasource window
* Pick Custom Query Selector DataSource record
* Navigate to Template (Datasource Template)
* See the error in the Template Dependency Tab

Notes:
* OBCLKER_Template_Dependency has no "name" column
* The OBCLKER_Template_Dependency table has 2 columns as identifier: Obclker_Template_ID, Dependson_Template_ID
* Dependson_Template_ID is a TableDir pointing to OBCLKER_Template table who has "name" column as part of the identifier
* The generated hql order by: "e.name,e.id" should be "e.template.name, e.id"
TagsRegression QA
Attached Fileslog file icon error.log [^] (13,825 bytes) 2012-05-08 17:38
png file icon error-template-record.png [^] (86,066 bytes) 2012-05-08 17:43

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0020453 closedalostale Error in Accounting Schema | Account Schema Tables 
has duplicate defect 0020456 closedalostale An error appears in Module window 
blocks design defect 00203863.0MP15 closedAugustoMauch Filter by Financial Account it does not work in grid view 

-  Notes
(0048492)
alostale (developer)
2012-05-09 10:42

Introduced by fix for 0020386. Reverting it.
(0048494)
hgbot (developer)
2012-05-09 10:43

Repository: erp/devel/pi
Changeset: 1582d1dc7250976053698019f0fd68481743ed2b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed May 09 10:43:24 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1582d1dc7250976053698019f0fd68481743ed2b [^]

fixed bug 20449, related to bug 20386

Revert original fix for 0020386 as it causes 0020449

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonUtils.java
---
(0049076)
hudsonbot (developer)
2012-05-25 12:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049341)
AugustoMauch (developer)
2012-05-28 10:34

Code reviewed and verified in pi@520938516719

- Issue History
Date Modified Username Field Change
2012-05-08 17:38 iperdomo New Issue
2012-05-08 17:38 iperdomo Assigned To => alostale
2012-05-08 17:38 iperdomo File Added: error.log
2012-05-08 17:38 iperdomo Web browser => Google Chrome
2012-05-08 17:38 iperdomo Modules => Core
2012-05-08 17:43 iperdomo File Added: error-template-record.png
2012-05-09 10:41 alostale Relationship added blocks 0020386
2012-05-09 10:42 alostale Note Added: 0048492
2012-05-09 10:43 hgbot Checkin
2012-05-09 10:43 hgbot Note Added: 0048494
2012-05-09 10:43 hgbot Status new => resolved
2012-05-09 10:43 hgbot Resolution open => fixed
2012-05-09 10:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1582d1dc7250976053698019f0fd68481743ed2b [^]
2012-05-09 13:39 alostale Relationship added has duplicate 0020453
2012-05-09 13:40 alostale Relationship added has duplicate 0020456
2012-05-09 17:53 plujan Tag Attached: Regression QA
2012-05-25 12:11 hudsonbot Checkin
2012-05-25 12:11 hudsonbot Note Added: 0049076
2012-05-28 10:34 AugustoMauch Note Added: 0049341
2012-05-28 10:34 AugustoMauch Status resolved => closed
2012-05-28 10:34 AugustoMauch Fixed in Version => 3.0MP12


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker